classification
Title: allow logging.handlers.HTTPHandler to take an SSLContext
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, alex, benjamin.peterson, python-dev, vinay.sajip
Priority: normal Keywords: needs review, patch

Created on 2014-11-03 18:49 by benjamin.peterson, last changed 2014-11-24 02:38 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue22788.diff alex, 2014-11-03 20:00 review
Messages (7)
msg230549 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-11-03 18:49
It would be nice if HTTPHandler could take an SSLContext as a parameter, which would be passed to HTTPSConnection to configure the security of the connection.
msg230551 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2014-11-03 19:33
I'm not sure I follow, where does HTTPHandler ever construct an HTTPSConnection?
msg230552 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-11-03 19:33
emit()

On Mon, Nov 3, 2014, at 15:33, Alex Gaynor wrote:
> 
> Alex Gaynor added the comment:
> 
> I'm not sure I follow, where does HTTPHandler ever construct an
> HTTPSConnection?
> 
> ----------
> nosy: +alex
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue22788>
> _______________________________________
msg230553 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2014-11-03 19:37
Hah! I didn't realize you meant *logging.handlers.HTTPHandler*, I thought you meant *urllib.request.HTTPHandler*.
msg230555 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-11-03 19:37
Right then...
msg230558 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2014-11-03 20:00
Quick pass at a patch. No docs, and it should proabbly be an error to pass context with secure=False.
msg231589 - (view) Author: Roundup Robot (python-dev) Date: 2014-11-24 02:38
New changeset 5864ec6ba484 by Benjamin Peterson in branch '3.4':
add context parameter to HTTPHandler (closes #22788)
https://hg.python.org/cpython/rev/5864ec6ba484

New changeset ec4d19736b15 by Benjamin Peterson in branch 'default':
merge 3.4 (#22788)
https://hg.python.org/cpython/rev/ec4d19736b15
History
Date User Action Args
2014-11-24 02:38:30python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg231589

resolution: fixed
stage: needs patch -> resolved
2014-11-03 23:49:31Arfreversetnosy: + Arfrever
2014-11-03 20:00:58alexsetkeywords: + patch, needs review
files: + issue22788.diff
messages: + msg230558
2014-11-03 19:37:43benjamin.petersonsetmessages: + msg230555
title: allow HTTPHandler to take an SSLContext -> allow logging.handlers.HTTPHandler to take an SSLContext
2014-11-03 19:37:18alexsetmessages: + msg230553
2014-11-03 19:33:43benjamin.petersonsetmessages: + msg230552
2014-11-03 19:33:14alexsetnosy: + alex
messages: + msg230551
2014-11-03 18:49:27benjamin.petersoncreate